namespace OSMDatastructure;

public class Region
{
    public const float regionSize = 0.01f;
    public readonly HashSet<OsmNode> nodes = new();
    public ulong regionHash { get; }

    public Region(ulong regionHash)
    {
        this.regionHash = regionHash;
    }

    public Region(Coordinates regionCoordinates)
    {
        this.regionHash = regionCoordinates.GetRegionHash();
    }

    public OsmNode? GetNode(Coordinates coordinates)
    {
        foreach(OsmNode node in this.nodes)
            if (node.coordinates.Equals(coordinates))
                return node;
        return null;
    }
}